1.0
1.0
put /v1/budgets/account/{budget_id}
Description
set a specific account budget
State ACTIVE (CURRENT)
| Version | Supported Until |
|---|---|
| 1.0 | - |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | budget_id required | Budget id Example : 240200fd2b02490ca63bb3965048b493 | string | None |
| body | body required | BudgetSetRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | BudgetAccountShowResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
| 404 | Not Found | None |
| 409 | Conflict | None |
Example HTTP request
Request path
/v1/budgets/account/{budget_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = en-US",
"Scp-Api-Version = budget 1.0"
Request body
{
"amount": 1000000,
"name": "test_budget",
"notifications": {
"is_use_notification": true,
"notification_send_period": "FIRST",
"receivers": [
"test_user1@test.com",
"test_user2@test.com"
],
"thresholds": [
80
]
},
"prevention": {
"is_use_prevention": true,
"receivers": [
"test_user1@test.com",
"test_user2@test.com"
],
"threshold": 80
},
"start_month": "2026-01",
"unit": "MONTHLY"
}
Example HTTP response
Response 200
{
"budget": {
"amount": 1000000,
"created_at": "2025-11-01T00:00:00",
"created_by": "TEST",
"id": "240200fd2b02490ca63bb3965048b493",
"modified_at": "2025-11-01T00:00:00",
"modified_by": "TEST",
"name": "my_budget_ex",
"start_month": "2025-11",
"type": "COST",
"unit": "MONTHLY"
},
"notifications": {
"is_use_notification": true,
"notification_send_period": "FIRST",
"receivers": [
"test_user1@test.com",
"test_user2@test.com"
],
"thresholds": [
80
]
},
"prevention": {
"is_use_prevention": true,
"receivers": [
"test_user1@test.com",
"test_user2@test.com"
],
"threshold": 80
}
}